︠bd861e21-3ea7-46ff-b7ef-f592ad4e5648︠
var('x')
︡2c7fecbe-21ba-440b-84ba-c464ffdf9393︡{"stdout": "x"}︡
︠8bd4242e-615d-4725-bd9a-bae7c1b17622︠
x0=0
︡43bf561d-48f0-451a-972d-7f9a3f028f86︡︡
︠5e2e3c80-15d1-4336-b111-5b63d7a41eef︠
f = sin(x)*e^(-x)
︡e49783ff-0dca-4ee5-8534-d14d0253bbb4︡︡
︠3ab3edff-03be-45a8-a0c6-09127abb1655︠
f(x=0.5)
︡ad661f16-d64d-4331-98d0-b8958e5f2944︡{"stdout": "0.290786288212692"}︡
︠e70c6422-1f55-4402-b641-b1261f97a317︠
p=point((x0,f(x=x0)),pointsize=80,rgbcolor=(1,0,0))
︡01662631-6641-4ded-a2db-7698dc406c84︡︡
︠14e330da-ee7e-4d28-bced-15ea28f92d7c︠
pl=plot(f,-1,5,thickness=2)
︡7be7a737-1790-49d8-bf98-7fa63e5b1482︡︡
︠6f688105-fbdb-4b1f-92f8-3c9757b65f48︠
show(pl)
︡aa6da987-07fa-44c1-8577-5a9b9bdcc597︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠ae1f4938-afe7-40b2-a276-498454dc6644︠
@interact
def _(order=(1..12)):
  ft = f.taylor(x,x0,order)
  pt = plot(ft,-1, 5, color='green', thickness=2)
  html('$f(x)\;=\;%s$'%latex(f))
  html('$\hat{f}(x;%s)\;=\;%s+\mathcal{O}(x^{%s})$'%(x0,latex(ft),order+1))
  show(p + pl + pt, ymin = -.5, ymax = 1)
︡99651f8b-a4db-4e98-8460-4ec68dcf582f︡{"html": "<!--notruncate-->\n        <div padding=6 id=\"div-interact-9\">\n          <table width=800px height=20px bgcolor=\"#c5c5c5\" cellpadding=15>\n            <tr>\n              <td bgcolor=\"#f9f9f9\" valign=top align=left>\n            <table>\n              <tr><td colspan=3><table><tr><td align=right><font color=\"black\">order&nbsp;</font></td><td>\n        <table>\n          <tr>\n            <td>\n              <div id=\"slider-order-9\" style=\"margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;\"></div>\n            </td>\n            \n            <td>\n              <font color=\"black\" id=\"slider-order-9-lbl\"></font>\n            </td>\n          </tr>\n        </table><script>\n    (function() {\n        var values = [\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\"];\n        setTimeout(function() {\n            $('#slider-order-9').slider({\n                step: 1,\n                min: 0,\n                max: 11,\n                value: 0,\n                change: function (e, ui) {\n                    var position = ui.value;\n                    if (values != null) {\n                        $('#slider-order-9-lbl').text(values[position]);\n                        interact(9, {variable: 'order', adapt_number: 1, value: encode64(position)}, 1);\n                    }\n                },\n                slide: function (e, ui) {\n                    if (values != null) {\n                        $('#slider-order-9-lbl').text(values[ui.value]);\n                    }\n                }\n            });\n            if (values != null) {\n                $('#slider-order-9-lbl').text(values[$('#slider-order-9').slider('value')]);\n            }\n        }, 1);\n    })();\n    </script></td>\n</tr></table></td></tr>\n              <tr><td></td><td style='width: 100%;'>\n        <div id=\"cell-interact-9\"><?__SAGE__START>\n          <table border=0 bgcolor=\"white\" width=100%>\n            <tr>\n              <td bgcolor=\"white\" align=left valign=top>\n                <pre><?__SAGE__TEXT></pre>\n              </td>\n            </tr>\n            <tr>\n              <td align=left valign=top><?__SAGE__HTML></td>\n            </tr>\n          </table><?__SAGE__END>\n        </div></td><td></td></tr>\n              <tr><td colspan=3></td></tr>\n            </table></td>\n            </tr>\n          </table>\n        </div>"}︡
